/* GTK - The GIMP Toolkit
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 * Copyright (C) 1998-1999 Adrian E. Feiguin <adrian@ifir.ifir.edu.ar>
 *
 * GtkSheetEntry widget by Adrian E. Feiguin
 * Based on GtkEntry widget 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __GTK_SHENTRY_H__
#define __GTK_SHENTRY_H__


#include <gdk/gdk.h>
#include <gtk/gtkentry.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define GTK_TYPE_SHENTRY            (gtk_shentry_get_type ())
#define GTK_SHENTRY(obj)            (GTK_CHECK_CAST (obj, gtk_shentry_get_type (), GtkSHEntry))
#define GTK_SHENTRY_CLASS(klass)    (GTK_CHECK_CLASS_CAST (klass, gtk_shentry_get_type (), GtkSHEntryClass))
#define GTK_IS_SHENTRY(obj)         (GTK_CHECK_TYPE (obj, gtk_shentry_get_type ()))
#define GTK_IS_SHENTRY_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_ENTRY))


typedef struct _GtkSHEntry       GtkSHEntry;
typedef struct _GtkSHEntryClass  GtkSHEntryClass;

struct _GtkSHEntry
{
  GtkEntry parent;

  gint text_max_size;

  GdkGC *fg_gc;
  GdkGC *bg_gc;

  GtkJustification justification;
};

struct _GtkSHEntryClass
{
  GtkEntryClass parent_class;
};

GtkType    gtk_shentry_get_type       (void);
GtkWidget* gtk_shentry_new            (void);
GtkWidget* gtk_shentry_new_with_max_length (guint16   max);
void       gtk_shentry_set_text (GtkSHEntry *shentry, const gchar *text,
                                 GtkJustification justification);
void       gtk_shentry_set_justification   (GtkSHEntry        *shentry,
					    GtkJustification   justification);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_SHENTRY_H__ */
